% cl_ctcohelp.m
%
% Common plotting options help
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

ht=cell(1,1);
ht{1}=' ';
ht{2}='Path: use this to change your path.';
ht{3}='Common plotting options: (note that these options apply to maps in Cruisebuilder AND Cruisetrack!)';
ht{4}='  > Box: enter your lat/lon bounds for cruisebuilding and cruisetrack plotting purposes (- for South/West, + for East/North).';
ht{5}='  > Plot coastline: will use either the m_map GSHHS coastlines (resolution is dependent upon your chosen map size) or the crude m_coast.';
ht{6}='  > Plot bathymetry contours: ';
ht{7}='   > Contours (m): enter the bathymetry contours you wish to see plotted.  For S/S and TBase, bathy is always NEGATIVE.';
ht{8}='   > Datasource:  choose either 2 min ETOPO2, 5 min TerrainBase bathymetry, or your own .mat file (be sure to include suffix .mat in name!).  Your .mat file must contain ONLY 3 arrays: LON, LAT, and data, in MESHGRID format.  Know your data - if your bathymetry is negative, then select your contours as negative, and vice versa.';
ht{9}='  > Plot ASCII Lon/Lat file: will plot as a magenta line your 2 column ASCII file of (1) Lon (2) Lat.  Tip:  Note that you can separate line segments by NaN NaN, so in effect you can plot an infinite number of lines with this one command.';
msgbox(ht,'Common plotting options Help');
