% cl_ctplot.m
%
% Cruisetrack plotting code
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%


% Error checks for Cruisebuilder

cbgoodflag=1;

if minlon > maxlon
   msg_lonerr=msgbox('Minimum longitude must be greater than maximum longitude.  Please reenter.','Error','Error');
   cbgoodflag=0;
end;
if minlat > maxlat
   msg_lonerr=msgbox('Minimum latitude must be greater than maximum latitude.  Please reenter.','Error','Error');
   cbgoodflag=0;
end;
% If the misc file is not found, no problem, the program plots everything else.
if(miscchoice)
  eval(sprintf('if exist(''%s'')==0 msgbox(''Note!  %s (lat/lon file) not found!'',''Note'',''warn''); end;',miscfile,miscfile));
end;
if(clchoice)
  if exist('m_gshhs_l')==0
    msgbox('Note!  gshhs coastlines not found - using m_coast','Note','warn');
  end;
end;
% If your bathy file is not found, default is Terrainbase.
if(btchoice) & btmode==3
  if exist(btfile) == 0
    eval(sprintf('msgbox(''Note!  %s not found - using Terrainbase'',''Note'',''warn'');',btfile));
  end;
end;

