% cl_ctcbhelp.m
%
% Cruisebuilder help
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

ht=cell(1,1);
ht{1}=' ';
ht{2}=' ';
ht{3}='Cruisebuilder: Use this to BUILD a cruise for use in Cruisetrack.  WATCH THE TITLE of the map figure for instructions!  You will first be able to zoom in, if desired.  Next, you will pick your mode.  Then, you start building sections!';
ht{4}='  > Cruisebuilder modes: ';
ht{5}='    > Random: you can choose points in any location you wish.';
ht{6}='    > Fixed spacing (km) along lines: pick start and end points of section, and program will autopick stations along this line.  You can set the default spacing in the GUI.';
ht{7}='    > Fixed depth spacing (m) along lines: pick depth and max km spacing, and program will autopick stations at set depth interval... however, stations will not be spaced more than a user-defined max horiz distance (km).  Set defaults in GUI.';
ht{8}='  > Navigation method - select either Rhumb Line (constant azimuth or heading) or great circle (shortest distance on a sphere).';
ht{9}='  > Manually confirm lat/lon - when this option is on, the user has the option of adjusting the lat/lon of the section endpoints.  Only applicable to Fixed spacing and Fixed depth modes.';
ht{10}='  > Start picking - draws the Cruisebuilder map and enters the ZOOM MODE (see below).';
ht{11}='  > Update cruisetrack - automatically updates cruisetrack waypoint file prefix and number of sections (NOTE: ONLY works if you SAVED your cruisebuilder work out to file).';
ht{12}='Tips: When the cruisebuilder map comes up, you are in ZOOM MODE.  Use the LMB to pick the borders of your new box, or RMB to start picking stations.  You will be asked to choose the mode at the start of each section.  When you are finished picking sections, the program will ask if you want the data saved out for Cruisetrack format and for bridge (pretty) format.';
msgbox(ht,'Cruisebuilder Help');
