% cl_cthelp.m
%
% Cruisetrack help
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

ht=cell(1,1);
ht{1}=' ';
ht{2}=' ';
ht{3}='Cruisetrack time options: Use these to modify your cruise plan.  Most of these only affect the times.  The program will load the section files based on what you input for "waypoint file".  The name you put in should be your "base filename".  The program will then load files from 1 to "number of sections" in this format: basefilename_1, basefilename_2, etc.  For example, say your waypoint filename is junk.  You have 3 sections.  The program will look for junk_1, junk_2, and junk_3.  If these files are not found the program will automatically abort (and let you know via a popup window).  Note that Cruisebuilder automatically outputs (if you choose to Save) the correct file format.  ';
ht{4}=' ';
ht{5}='The section files are 4 column ascii text file, with these columns:  ';
ht{6}='(1) Station num (2) Latitude (3) Longitude (4) Depth of Station';
ht{7}='  > Trackfiles: These are transit waypoints only, the program assumes that after trackfile1, the next point is the first station of section 1.  Likewise, after the last station of the cruise the program will look at trackfile2.  Transit legs (between sections) are computed automatically.  It is assumed you will go directly from the last station of section 1 to the first of section 2, etc.';
ht{8}='  > Speed (kts) taking data:  the speed made good while steaming between stations.';
ht{9}='  > Speed (kts) transiting:  the speed made good steaming to/from grid and in between sections.';
ht{10}='  > Cast time - minutes ROUNDTRIP per 1000m of depth:  the program automatically computes the time to perform every cast.';
ht{11}='  > Number/duration of misc events:  a "fudge" to add in extra time (ex. mooring deployment).';
ht{12}='  > Weather days (1 f/each X):  number of "science" (i.e. non-transit) days lost to weather.';
ht{13}='  > Compute time:  pops up a quick stat box.  Note that if you check "Save cruisetrack output to ASCII file", you will get a nicely formatted summary of your cruise AND each section.';
ht{14}='  > Plot track:  plots your cruisetrack, along with any options you have selected from Common plotting options.';
msgbox(ht,'Cruisetrack time options Help');
