% cl_ctini.m
% Cruisebuilder/Cruisetrack initialization. Created by file cl_ctsave.m
%
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

%*****Directory*****
ctdirectory = pwd;

%*****Common plotting options*****
minlon = -60.00; maxlon = -20.00; maxlat =  66.00; minlat =  50.00;
clchoice=1;
btchoice=1;
btmode=1;
btfile='test.mat';
btcontours=[-500 -1000 -2000 -3000];
miscchoice=0;
miscfile='test.dat';

%*****Cruisebuilder options*****
nmmode=1;
latlonconfirm = 0;
kmspacing =  25.00;
depthspacing = 200.00;
maxkmspacing =  20.00;

%*****Cruisetrack computing options*****
startyear = 2001.00;
startmonth = 8;
startday =   1.00;
starthour =   9.00;
inputfile='Irmin_1';
numsec = 8;
trackfile1='Irmin_1_tf1';
trackfile2='Irmin_1_tf2';
speedsec =  10.00;
speedtransit =  12.00;
wiretime =  40.00;
numfudge =   1.00;
durfudge =  24.00;
weather =   5.00;
saveoutchoice = 0;

switch nmmode
    case 1
        rb_nmmode1=1; rb_nmmode2=0;
    case 2
        rb_nmmode1=0; rb_nmmode2=1;
end;

switch btmode
    case 1
        rb_btmode1=1; rb_btmode2=0; rb_btmode3=0;
    case 2
        rb_btmode1=0; rb_btmode2=1; rb_btmode3=0;
    case 3
        rb_btmode1=0; rb_btmode2=0; rb_btmode3=1;
end;
