% cl_ctjd.m
%
% Cruisetrack julian program
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

function [j]=cl_ctjd(y,m,d,h)


     
    if nargin==3,
        h=0.;
      elseif nargin==1,
        h=hms2h(y(4),y(5),y(6));
        d=y(3);
        m=y(2);
        y=y(1);
      end
      mo=m+9;
      yr=y-1;
      i=(m>2);
      mo(i)=m(i)-3;
      yr(i)=y(i); 
      c = floor(yr/100);
      yr = yr - c*100;
      j = floor((146097*c)/4) + floor((1461*yr)/4) + ...
           floor((153*mo +2)/5) +d +1721119;

%     If you want julian days to start and end at noon, 
%     replace the following line with:
%     j=j+(h-12)/24;
 
      j=j+h/24;
