% cl_ctsave.m
%
% Cruisebuilder/Cruisetrack save defaults
% 
% Usage: cl_ct
% Click on help buttons for tips.
% Version 1.7, 11 June 2008, Chris Linder
%

eval(sprintf('outfile=''%s'';',which('cl_ctini.m')));
fido=fopen(outfile,'w+');
fprintf(fido,'%% cl_ctini.m\n');
fprintf(fido,'%% Cruisebuilder/Cruisetrack initialization. Created by file cl_ctsave.m\n');
fprintf(fido,'%%\n');
fprintf(fido,'%% Usage: cl_ct\n');
fprintf(fido,'%% Click on help buttons for tips.\n');
fprintf(fido,'%% Version 1.7, 11 June 2008, Chris Linder\n');
fprintf(fido,'%%\n\n');
fprintf(fido,'%%*****Directory*****\n');
fprintf(fido,'ctdirectory = ''%s'';\n',pwd);
fprintf(fido,'\n%%*****Common plotting options*****\n');
fprintf(fido,'minlon = %6.2f; ',minlon);
fprintf(fido,'maxlon = %6.2f; ',maxlon);
fprintf(fido,'maxlat = %6.2f; ',maxlat);
fprintf(fido,'minlat = %6.2f;\n',minlat);
fprintf(fido,'clchoice=%d;\n',clchoice);
fprintf(fido,'btchoice=%d;\n',btchoice);
fprintf(fido,'btmode=%d;\n',btmode);
fprintf(fido,'btfile=''%s'';\n',btfile);
fprintf(fido,'btcontours=[%s];\n',num2str(btcontours));
fprintf(fido,'miscchoice=%d;\n',miscchoice);
fprintf(fido,'miscfile=''%s'';\n',miscfile);
fprintf(fido,'\n%%*****Cruisebuilder options*****\n');
fprintf(fido,'nmmode = %d;\n',nmmode);
fprintf(fido,'latlonconfirm = %d;\n',latlonconfirm);
fprintf(fido,'kmspacing = %6.2f;\n',kmspacing);
fprintf(fido,'depthspacing = %6.2f;\n',depthspacing);
fprintf(fido,'maxkmspacing = %6.2f;\n',maxkmspacing);
fprintf(fido,'\n%%*****Cruisetrack computing options*****\n');
fprintf(fido,'startyear = %6.2f;\n',startyear);
fprintf(fido,'startmonth = %d;\n',startmonth);
fprintf(fido,'startday = %6.2f;\n',startday);
fprintf(fido,'starthour = %6.2f;\n',starthour);
fprintf(fido,'inputfile=''%s'';\n',inputfile);
fprintf(fido,'numsec = %d;\n',numsec);
fprintf(fido,'trackfile1=''%s'';\n',trackfile1);
fprintf(fido,'trackfile2=''%s'';\n',trackfile2);
fprintf(fido,'speedsec = %6.2f;\n',speedsec);
fprintf(fido,'speedtransit = %6.2f;\n',speedtransit);
fprintf(fido,'wiretime = %6.2f;\n',wiretime);
fprintf(fido,'numfudge = %6.2f;\n',numfudge);
fprintf(fido,'durfudge = %6.2f;\n',durfudge);
fprintf(fido,'weather = %6.2f;\n',weather);
fprintf(fido,'saveoutchoice = %d;\n\n',saveoutchoice);
fprintf(fido,'switch nmmode\n');
fprintf(fido,'case 1\n');
fprintf(fido,'   rb_nmmode1=1; rb_nmmode2=0;\n');
fprintf(fido,'case 2\n');
fprintf(fido,'   rb_nmmode1=0; rb_nmmode2=1;\n');
fprintf(fido,'end;\n');
fprintf(fido,'switch btmode\n');
fprintf(fido,'case 1\n');
fprintf(fido,'   rb_btmode1=1; rb_btmode2=0; rb_btmode3=0;\n');
fprintf(fido,'case 2\n');
fprintf(fido,'   rb_btmode1=0; rb_btmode2=1; rb_btmode3=0;\n');
fprintf(fido,'case 3\n');
fprintf(fido,'   rb_btmode1=0; rb_btmode2=0; rb_btmode3=1;\n');
fprintf(fido,'end;\n');
fclose(fido);
